com.verisign.epp.serverstub

## Class NSHostHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPHostHandler
  - - com.verisign.epp.serverstub.NSHostHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class NSHostHandler
      extends EPPHostHandler

  The `NSHostHandler` class is a concrete implementation of the abstract `EPPHostHandler` class. It defines the Server's response to all received EPP host Commands.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NSHostHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doHostCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Check Command is received.
    `protected EPPEventResponse` | `doHostCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Create Command is received.
    `protected EPPEventResponse` | `doHostDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Delete Command is received.
    `protected EPPEventResponse` | `doHostInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Info Command is received.
    `protected EPPEventResponse` | `doHostUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Host Update Command is received.

    - ### Methods inherited from class com.verisign.epp.framework.EPPHostHandler

      `getNamespace, handleEvent, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NSHostHandler

          public NSHostHandler()

  - ### Method Detail

    - #### doHostCreate

          protected EPPEventResponse doHostCreate(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Host Create Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doHostCreate` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPHostHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPHostHandler.doHostCreate(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

    - #### doHostDelete

          protected EPPEventResponse doHostDelete(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Host Delete Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doHostDelete` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPHostHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPHostHandler.doHostDelete(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

    - #### doHostInfo

          protected EPPEventResponse doHostInfo(EPPEvent aEvent,
                                                java.lang.Object aData)

      Invoked when a Host Info Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doHostInfo` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPHostHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPHostHandler.doHostInfo(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

    - #### doHostCheck

          protected EPPEventResponse doHostCheck(EPPEvent aEvent,
                                                 java.lang.Object aData)

      Invoked when a Host Check Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doHostCheck` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPHostHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPHostHandler.doHostCheck(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

    - #### doHostUpdate

          protected EPPEventResponse doHostUpdate(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Host Update Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doHostUpdate` in class `EPPHostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPHostHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPHostHandler.doHostUpdate(com.verisign.epp.framework.EPPEvent, java.lang.Object)`